<template>
	<view class="detail">
		<view class="top">
			<image :src="item.avatar ? ip + item.avatar : '../../static/head.png'" mode="widthFix" class="avatar"></image>
			<view class="title">{{ item.name }}</view>
		</view>
		<view class="con">
			<u-divider text="人物介绍"></u-divider>
			<u-parse :content="item.introduce" v-if="item.introduce"></u-parse>
			<u-empty v-else text="暂无介绍资料"></u-empty>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			ip: this.http.ip,
			item: {}
		};
	},
	onLoad(e) {
		this.http.request({
			url: '/app/doctor/detail/' + e.id,
			success: (res) => {
				this.item = res.data.data;
				if (res.data.data.introduce) {
					this.item.introduce = res.data.data.introduce.replace(new RegExp('/profile/upload/', 'g'), this.http.ip + '/profile/upload/');
				}
			}
		});
	},
	methods: {}
};
</script>

<style lang="scss">
page {
	background-color: white;
}
</style>
